.386
.model flat,stdcall
option casemap:none
option scoped

include windows.inc
include kernel32.inc
include \masm32\macros\macros.asm
include masm32.inc
include user32.inc
includelib user32.lib
includelib kernel32.lib
includelib masm32.lib
include COM.inc
include \masm32\include\d3d9c.inc
include \masm32\include\d3d9Types.inc
include d3d9.inc
includelib d3d9.lib

include NewD3D.inc
InitD3D PROTO
ZeroMemory PROTO :DWORD, :DWORD
.code
Start PROC
	mov			hInstance,FUNC(GetModuleHandle, NULL)
	mov			Clase.hInstance,eax
	invoke		RegisterClass, addr Clase
	mov			hWin,FUNC(CreateWindowEx, 0, offset ClassName, SADD("Direct3D"), WS_OVERLAPPEDWINDOW or WS_VISIBLE,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,0,0,hInstance, 0)
	invoke		InitD3D
	.REPEAT
		invoke	DispatchMessage, addr msg
	.UNTIL FUNC(GetMessage, addr msg, NULL, NULL, NULL)==0
	cinvoke g_pd3dDevice, Release
    cinvoke g_pD3D, Release
	invoke		ExitProcess, 0
Start EndP
InitD3D PROC
LOCAL d3dpp:D3DPRESENT_PARAMETERS
	mov		g_pD3D, FUNC(Direct3DCreate9, D3D_SDK_VERSION )
	invoke	ZeroMemory,addr d3dpp, sizeof d3dpp
	mov		d3dpp.Windowed, TRUE
	mov		d3dpp.SwapEffect, D3DSWAPEFFECT_COPY
	mov		d3dpp.BackBufferCount,1
	mov		d3dpp.BackBufferFormat, D3DFMT_UNKNOWN
    mov       d3dpp.BackBufferWidth,800
    mov       d3dpp.BackBufferHeight,600
    mov       d3dpp.BackBufferFormat,D3DFMT_R5G6B5
    mov       d3dpp.BackBufferCount,1
	m2m       d3dpp.hDeviceWindow,hWin
    mov       d3dpp.FullScreen_RefreshRateInHz,D3DPRESENT_RATE_DEFAULT
    mov       d3dpp.PresentationInterval, D3DPRESENT_INTERVAL_IMMEDIATE
	cinvoke	g_pD3D, CreateDevice, D3DADAPTER_DEFAULT, D3DDEVTYPE_HAL, hWin, \
                          D3DCREATE_HARDWARE_VERTEXPROCESSING, \
                          addr d3dpp, addr g_pd3dDevice
	Ret
InitD3D EndP
ZeroMemory PROC USES edi lpBuffer:DWORD, SizeBuffer:DWORD
	mov		edi,lpBuffer
	mov		ecx,SizeBuffer
	xor		eax,eax
	rep		stosb
	Ret
ZeroMemory EndP
Render PROC
	cinvoke g_pd3dDevice, Clear, 0, NULL, D3DCLEAR_TARGET or D3DCLEAR_ZBUFFER, D3DCOLOR_XRGB(100,128,255), FP4(1.0), 0
	cinvoke g_pd3dDevice, Present, NULL, NULL, NULL, NULL
	Ret
Render EndP
WinProc PROC hWnd:DWORD, wMsg:DWORD, wParam:DWORD, lParam:DWORD
	switch wMsg
		case	WM_CLOSE
			invoke	DestroyWindow, hWin
			invoke	PostQuitMessage, 0
			xor		eax,eax
		case 	WM_PAINT
			invoke	Render
			invoke	ValidateRect, hWnd, NULL
			xor		eax,eax
		default
			invoke	DefWindowProc, hWnd, wMsg, wParam, lParam
	endsw
	Ret
WinProc EndP

	END Start