.586
.model flat,stdcall
option casemap:none
option scoped

include windows.inc
include kernel32.inc
include \masm32\macros\macros.asm
include masm32.inc
include user32.inc
includelib user32.lib
includelib kernel32.lib
includelib masm32.lib
include COM.inc
include d3d9Types.inc
include D3DX9.INC
include d3d9.inc
include d3d9C.inc

include debug.inc
includelib debug.lib
DBGWIN_EXT_INFO = 0

includelib D3Dx9.lib
includelib d3d9.lib

include NewD3D.inc
InitD3D PROTO
ZeroMemory PROTO :DWORD, :DWORD
Render PROTO
memcpy PROTO :DWORD, :DWORD, :DWORD

;SHOW_HOW_TO_USE_TCI = 1	; Auto Generar Texturas
WINDOWED = TRUE
.code
LiberarTexturas PROC USES edi
LOCAL i:DWORD
LCOM l_pText, IDirect3DTexture9
    mov		edi, g_pMeshTextures
    mov		eax, g_dwNumMaterials
    mov		i,0
    .WHILE	i < eax
		lpcinvoket	g_pMeshTextures, i, Release
		inc		i
		mov		eax,g_dwNumMaterials
    .ENDW
	Ret
LiberarTexturas EndP
Start PROC
	mov			hInstance,FUNC(GetModuleHandle, NULL)
	mov			Clase.hInstance,eax
	invoke		InitDXMath, addr Tabla
	invoke		RegisterClass, addr Clase
	IF WINDOWED EQ FALSE 
		mov			hWin,FUNC(CreateWindowEx, 0, offset ClassName, SADD("Direct3D"), WS_POPUP or WS_VISIBLE,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,0,0,hInstance, 0)
	ELSE
		mov			hWin,FUNC(CreateWindowEx, 0, offset ClassName, SADD("Direct3D"), WS_OVERLAPPEDWINDOW or WS_VISIBLE,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,0,0,hInstance, 0)
	ENDIF
	invoke		InitD3D
	
	invoke		ZeroMemory, addr msg, sizeof msg
	.WHILE msg.message != WM_QUIT
		.IF FUNC (PeekMessage,addr msg, NULL, 0, 0, PM_REMOVE) != 0
			invoke	TranslateMessage, addr msg
			invoke	DispatchMessage, addr msg
		.ELSE
			invoke	Render
		.ENDIF	
	.ENDW
	cinvoke		g_pMesh, Release
	cinvoke 	g_pd3dDevice, Release
    cinvoke 	g_pD3D, Release
	invoke		LiberarTexturas    
    
    invoke		GlobalFree, g_pMeshMaterials
    invoke		GlobalFree, g_pMeshTextures
    invoke		UnregisterClass, offset ClassName, hInstance
	invoke		ExitProcess, 0
Start EndP

InitGeometry PROC USES esi edi
LOCAL	d3dxMaterials:DWORD
LOCAL 	i:DWORD
LCOM pD3DXMtrlBuffer, ID3DXBuffer
	invoke D3DXLoadMeshFromX, SADD("airplane 2.x"), D3DXMESH_SYSTEMMEM, g_pd3dDevice, NULL, \ 
                                   addr pD3DXMtrlBuffer, NULL, addr g_dwNumMaterials,\ 
                                   addr g_pMesh
    mov		d3dxMaterials, CFUNC ( pD3DXMtrlBuffer, GetBufferPointer)
	imul	eax, g_dwNumMaterials, sizeof D3DXMATERIAL
    mov		g_pMeshMaterials,FUNC (GlobalAlloc, GMEM_FIXED, eax)
    mov		eax, g_dwNumMaterials
    shl		eax, 2
    mov		g_pMeshTextures, FUNC (GlobalAlloc, GMEM_FIXED, eax)
    mov		i,0
  	mov		edi, g_pMeshMaterials
  	mov		esi, g_pMeshTextures	
  	mov		ebx, d3dxMaterials
  	mov		eax,g_dwNumMaterials	
    .WHILE i < eax
		; Cargar Material
		imul	ecx, i, sizeof D3DMATERIAL9    	
		imul	eax, i, sizeof D3DXMATERIAL
		push	ecx
		invoke	memcpy, addr [edi + ecx], addr [ebx + eax], sizeof D3DMATERIAL9
		pop		ecx
		invoke	memcpy, addr [D3DMATERIAL9.Ambient][edi+ecx], addr [D3DMATERIAL9.Diffuse][edi+ecx], sizeof D3DMATERIAL9.Ambient
		; Cargar Textura
		mov		eax,i
		mov		dword ptr [esi+eax*4],0
		imul	ecx, eax, sizeof D3DXMATERIAL
		invoke 	D3DXCreateTextureFromFile, g_pd3dDevice, [D3DXMATERIAL.pTextureFilename][ebx + ecx], \ 
		                                        addr [esi + eax*4] 
		inc		i
		mov		eax,g_dwNumMaterials
    .ENDW
	cinvoke 	pD3DXMtrlBuffer, Release	
	.IF FUNC(D3DXSimplifyMesh, g_pMesh, NULL, NULL, NULL, 15, D3DXMESHSIMP_FACE, addr i) == 0
		cinvoke		g_pMesh, Release
		m2m			g_pMesh, i
	.ENDIF
	Ret
InitGeometry EndP
InitD3D PROC
LOCAL d3dpp:D3DPRESENT_PARAMETERS
LOCAL d3ddm: D3DDISPLAYMODE
	; Crear DirectX
	mov		g_pD3D, FUNC(Direct3DCreate9, D3D_SDK_VERSION )
	invoke	ZeroMemory,addr d3dpp, sizeof d3dpp
	; Obtener el tipo de backbuffer actual
	cinvoke g_pD3D, GetAdapterDisplayMode, D3DADAPTER_DEFAULT , addr d3ddm	
	m2m 	d3dpp.BackBufferFormat, d3ddm.Format
	; Iniciar estructura de creacion de device
	mov		d3dpp.Windowed, WINDOWED
	mov		d3dpp.SwapEffect, D3DSWAPEFFECT_DISCARD
    mov		d3dpp.BackBufferWidth,800
    mov		d3dpp.BackBufferHeight,600
    mov		d3dpp.BackBufferCount,0
	m2m		d3dpp.hDeviceWindow,hWin
    mov		d3dpp.FullScreen_RefreshRateInHz,D3DPRESENT_RATE_DEFAULT
    mov		d3dpp.PresentationInterval, D3DPRESENT_INTERVAL_IMMEDIATE
    mov		d3dpp.EnableAutoDepthStencil, TRUE
    mov		d3dpp.AutoDepthStencilFormat, D3DFMT_D16
	cinvoke	g_pD3D, CreateDevice, D3DADAPTER_DEFAULT, D3DDEVTYPE_HAL, hWin, \
                          D3DCREATE_MIXED_VERTEXPROCESSING, \
                          addr d3dpp, addr g_pd3dDevice
	invoke	InitGeometry
;    // Turn on the zbuffer
    cinvoke	g_pd3dDevice, SetRenderState, D3DRS_ZENABLE, TRUE 
;    cinvoke	g_pd3dDevice, SetRenderState, D3DRS_FILLMODE, D3DFILL_WIREFRAME 

;    // Turn on ambient lighting 
    cinvoke	g_pd3dDevice, SetRenderState, D3DRS_AMBIENT, 0ffffffffh 
    cinvoke	g_pd3dDevice, SetSamplerState, 0, D3DSAMP_MAGFILTER, D3DTEXF_LINEAR
    cinvoke	g_pd3dDevice, SetSamplerState, 0, D3DSAMP_MINFILTER, D3DTEXF_LINEAR
    cinvoke	g_pd3dDevice, SetSamplerState, 0, D3DSAMP_MIPFILTER, D3DTEXF_POINT
	
	Ret
InitD3D EndP
SetupMatrices PROC
;    // For our world matrix, we will just rotate the object about the y-axis.
LOCAL matWorld:D3DXMATRIX
LOCAL matWorld1:D3DXMATRIX
LOCAL iTime: UINT
LOCAL fAngle:FLOAT
LOCAL fovy:FLOAT
LOCAL vEyePt: D3DXVECTOR3
LOCAL vLookatPt: D3DXVECTOR3
LOCAL vUpVec: D3DXVECTOR3
LOCAL matView: D3DXMATRIX
LOCAL matProj: D3DXMATRIX
;    // Set up the rotation matrix to generate 1 full rotation (2*PI radians) 
;    // every 1000 ms. To avoid the loss of precision inherent in very high 
;    // floating point numbers, the system time is modulated by the rotation 
;    // period before conversion to a radian angle.
	mov		iTime,FUNC(GetTickCount)
	fild	iTime
	fdiv	FP4(5000.0)
	fstp	fAngle
	invoke	D3DXMatrixRotationX,  addr matWorld, fAngle
	invoke	D3DXMatrixRotationY,  addr matWorld1, fAngle
	invoke	D3DXMatrixMultiply, addr matWorld, addr matWorld, addr matWorld1
    cinvoke g_pd3dDevice, SetTransform, D3DTS_WORLD, addr matWorld 

;    // Set up our view matrix. A view matrix can be defined given an eye point,
;    // a point to lookat, and a direction for which way is up. Here, we set the
;    // eye five units back along the z-axis and up three units, look at the
;    // origin, and define "up" to be in the y-direction.
	mov		vEyePt.x,0
	mov		vEyePt.y, 040400000h ;3.0
	mov		vEyePt.z, 0C1400000h ;-5.0
	mov		vLookatPt.x,0
	mov		vLookatPt.y,0
	mov		vLookatPt.z,0
	mov		vUpVec.x,0
	mov		vUpVec.y,3F800000h
	mov		vUpVec.z,0
    invoke	D3DXMatrixLookAtLH, addr matView, addr vEyePt, addr vLookatPt, addr vUpVec
    cinvoke g_pd3dDevice, SetTransform, D3DTS_VIEW, addr matView 
;    // For the projection matrix, we set up a perspective transform (which
;    // transforms geometry from 3D view space to 2D viewport space, with
;    // a perspective divide making objects smaller in the distance). To build
;    // a perpsective transform, we need the field of view (1/4 pi is common),
;    // the aspect ratio, and the near and far clipping planes (which define at
;    // what distances geometry should be no longer be rendered).
	fldpi
	fdiv	FP4(4.0)
	fstp	fovy
    invoke	D3DXMatrixPerspectiveFovLH, addr matProj, fovy, FP4(1.33333333), FP4(1.0), FP4(100.0)
    cinvoke g_pd3dDevice, SetTransform, D3DTS_PROJECTION, addr matProj
    ret
SetupMatrices ENDP
ZeroMemory PROC USES edi lpBuffer:DWORD, SizeBuffer:DWORD
	mov		edi,lpBuffer
	mov		ecx,SizeBuffer
	xor		eax,eax
	rep		stosb
	Ret
ZeroMemory EndP
memcpy PROC USES edi esi lpDst:DWORD, lpSrc:DWORD, SizeBuffer:DWORD
	mov		edi,lpDst
	mov		esi,lpSrc
	mov		ecx,SizeBuffer
	rep		movsb
	Ret
memcpy EndP
Render PROC
LOCAL i:DWORD
	cinvoke g_pd3dDevice, Clear, 0, NULL, D3DCLEAR_TARGET or D3DCLEAR_ZBUFFER, D3DCOLOR_XRGB(0,0,255), FP4(1.0), 0
	cinvoke g_pd3dDevice, BeginScene
	invoke	SetupMatrices
	mov		i,0
	mov		eax,g_dwNumMaterials
	.WHILE	i < eax
		mov		ecx,g_pMeshTextures
		mov		eax,i
		cinvoke	g_pd3dDevice, SetTexture,0,  [ecx + eax*4]
		mov		eax, sizeof D3DMATERIAL9
		mov		ecx,i
		mul		ecx
		add		eax,g_pMeshMaterials
		cinvoke	g_pd3dDevice, SetMaterial,  eax
		cinvoke	g_pMesh, DrawSubset, i
		inc		i
		mov		eax, g_dwNumMaterials
	.ENDW
	
	cinvoke g_pd3dDevice, EndScene
	cinvoke g_pd3dDevice, Present, NULL, NULL, NULL, NULL
	Ret
Render EndP
WinProc PROC hWnd:DWORD, wMsg:DWORD, wParam:DWORD, lParam:DWORD
	switch wMsg
		case	WM_CLOSE
			invoke	DestroyWindow, hWin
			invoke	PostQuitMessage, 0
			xor		eax,eax
		case 	WM_PAINT
;			invoke	Render
			invoke	ValidateRect, hWnd, NULL
			xor		eax,eax
		default
			invoke	DefWindowProc, hWnd, wMsg, wParam, lParam
	endsw
	Ret
WinProc EndP

	END Start