include \masm32\com\include\oaidl.inc
STDMETHOD	MACRO	name, argl :VARARG
LOCAL @tmp_a
LOCAL @tmp_b

@tmp_a	TYPEDEF PROTO argl
@tmp_b	TYPEDEF PTR @tmp_a
name		@tmp_b		?
ENDM

.data

include dsound.inc

; ====================================
;                               GUIDS
; ====================================
CLSID_DirectMusicPerformance        GUID {0d2ac2881h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicSegment            GUID {0d2ac2882h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicSegmentState       GUID {0d2ac2883h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicGraph              GUID {0d2ac2884h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicStyle              GUID {0d2ac288ah, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicChordMap           GUID {0d2ac288fh, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicComposer           GUID {0d2ac2890h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicLoader             GUID {0d2ac2892h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicBand               GUID {079ba9e00h, 0b6eeh, 011d1h, {086h, 0beh, 00h, 0c0h, 04fh, 0bfh, 08fh, 0efh}}
CLSID_DirectMusicPatternTrack       GUID {0d2ac2897h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
CLSID_DirectMusicScript             GUID {0810b5013h, 0e88dh, 011d2h, {08bh, 0c1h, 00h, 060h, 08h, 093h, 0b1h, 0b6h}}
CLSID_DirectMusicContainer          GUID {09301e380h, 01f22h, 011d3h, {082h, 026h, 0d2h, 0fah, 076h, 025h, 05dh, 047h}}
CLSID_DirectSoundWave               GUID {08a667154h, 0f9cbh, 011d2h, {0adh, 08ah, 00h, 060h, 0b0h, 057h, 05ah, 0bch}}
CLSID_DirectMusicAudioPathConfig    GUID {0ee0b9ca0h, 0a81eh, 011d3h, {09bh, 0d1h, 00h, 080h, 0c7h, 015h, 0ah, 074h}}
GUID_DirectMusicAllTypes            GUID {0d2ac2893h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
GUID_NOTIFICATION_SEGMENT           GUID {0d2ac2899h, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
GUID_NOTIFICATION_PERFORMANCE       GUID {081f75bc5h, 04e5dh, 011d2h, {0bch, 0c7h, 00h, 0a0h, 0c9h, 022h, 0e6h, 0ebh}}
GUID_NOTIFICATION_MEASUREANDBEAT    GUID {0d2ac289ah, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
GUID_NOTIFICATION_CHORD             GUID {0d2ac289bh, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
GUID_NOTIFICATION_COMMAND           GUID {0d2ac289ch, 0b39bh, 011d1h, {087h, 04h, 00h, 060h, 08h, 093h, 0b1h, 0bdh}}
GUID_NOTIFICATION_RECOMPOSE         GUID {0d348372bh, 0945bh, 045aeh, {0a5h, 022h, 045h, 0fh, 012h, 05bh, 084h, 0a5h}}

IID_IDirectMusicLoader8             GUID {19e7c08ch, 0a44h, 04e6ah, {0a1h, 016h, 059h, 05ah, 07ch, 0d5h, 0deh, 08ch}}
IID_IDirectMusicPerformance8        GUID {0679c4137h, 0c62eh, 04147h, {0b2h, 0b4h, 09dh, 056h, 09ah, 0cbh, 025h, 04ch}}
IID_IDirectMusicSegment8            GUID {0c6784488h, 041a3h, 0418fh, {0aah, 015h, 0b3h, 050h, 093h, 0bah, 042h, 0d4h}}

GUID_NULL            GUID {0, 0, 0, {0, 0, 0, 0, 0, 0, 0, 0}}

; ====================================
;                             METHODS
; ====================================
IDirectMusicLoader8	STRUCT
	; IDirectMusicLoader8 methods
	STDMETHOD	QueryInterface
	STDMETHOD	AddRef
	STDMETHOD	Release, :PTR IDirectMusicLoader8
;   /* IDirectMusicLoader */
    STDMETHOD GetObject
    STDMETHOD SetObject
    STDMETHOD SetSearchDirectory, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD
    STDMETHOD ScanDirectory
    STDMETHOD CacheObject
    STDMETHOD ReleaseObject
    STDMETHOD ClearCache
    STDMETHOD EnableCache
    STDMETHOD EnumObject

;    /* IDirectMusicLoader8 */
    STDMETHOD void, CollectGarbage
    STDMETHOD ReleaseObjectByUnknown
    STDMETHOD LoadObjectFromFile,:PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD
IDirectMusicLoader8 ENDS

;// IDirectMusicPerformance8 */
IDirectMusicPerformance8 STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :PTR IDirectMusicLoader8
    STDMETHOD AddRef, :PTR IDirectMusicLoader8 
    STDMETHOD Release, :PTR IDirectMusicLoader8

;    /*  IDirectMusicPerformance */
    STDMETHOD Init, :PTR IDirectMusicLoader8          
    STDMETHOD PlaySegment, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD Stop, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD          
    STDMETHOD GetSegmentState, :PTR IDirectMusicLoader8
    STDMETHOD SetPrepareTime, :PTR IDirectMusicLoader8 
    STDMETHOD GetPrepareTime, :PTR IDirectMusicLoader8 
    STDMETHOD SetBumperLength, :PTR IDirectMusicLoader8
    STDMETHOD GetBumperLength, :PTR IDirectMusicLoader8
    STDMETHOD SendPMsg, :PTR IDirectMusicLoader8       
    STDMETHOD MusicToReferenceTime, :PTR IDirectMusicLoader8 
    STDMETHOD ReferenceToMusicTime, :PTR IDirectMusicLoader8 
    STDMETHOD IsPlaying, :PTR IDirectMusicLoader8            
    STDMETHOD GetTime, :PTR IDirectMusicLoader8              
    STDMETHOD AllocPMsg, :PTR IDirectMusicLoader8            
    STDMETHOD FreePMsg, :PTR IDirectMusicLoader8             
    STDMETHOD GetGraph, :PTR IDirectMusicLoader8             
    STDMETHOD SetGraph, :PTR IDirectMusicLoader8             
    STDMETHOD SetNotificationHandle, :PTR IDirectMusicLoader8
    STDMETHOD GetNotificationPMsg, :PTR IDirectMusicLoader8  
    STDMETHOD AddNotificationType, :PTR IDirectMusicLoader8  
    STDMETHOD RemoveNotificationType, :PTR IDirectMusicLoader8
    STDMETHOD AddPort, :PTR IDirectMusicLoader8              
    STDMETHOD RemovePort, :PTR IDirectMusicLoader8           
    STDMETHOD AssignPChannelBlock, :PTR IDirectMusicLoader8  
    STDMETHOD AssignPChannel, :PTR IDirectMusicLoader8       
    STDMETHOD PChannelInfo, :PTR IDirectMusicLoader8         
    STDMETHOD DownloadInstrument, :PTR IDirectMusicLoader8   
    STDMETHOD Invalidate, :PTR IDirectMusicLoader8           
    STDMETHOD GetParam, :PTR IDirectMusicLoader8             
    STDMETHOD SetParam, :PTR IDirectMusicLoader8             
    STDMETHOD GetGlobalParam, :PTR IDirectMusicLoader8       
    STDMETHOD SetGlobalParam, :PTR IDirectMusicLoader8       
    STDMETHOD GetLatencyTime, :PTR IDirectMusicLoader8       
    STDMETHOD GetQueueTime, :PTR IDirectMusicLoader8         
    STDMETHOD AdjustTime, :PTR IDirectMusicLoader8           
    STDMETHOD CloseDown, :PTR IDirectMusicLoader8            
    STDMETHOD GetResolvedTime, :PTR IDirectMusicLoader8      
    STDMETHOD MIDIToMusic, :PTR IDirectMusicLoader8          
    STDMETHOD MusicToMIDI, :PTR IDirectMusicLoader8          
    STDMETHOD TimeToRhythm, :PTR IDirectMusicLoader8         
    STDMETHOD RhythmToTime, :PTR IDirectMusicLoader8         
    STDMETHOD InitAudio, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD PlaySegmentEx, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD

    STDMETHOD StopEx, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD               
    STDMETHOD ClonePMsg, :PTR IDirectMusicLoader8            
    STDMETHOD CreateAudioPath, :PTR IDirectMusicLoader8   
    STDMETHOD CreateStandardAudioPath, :PTR IDirectMusicLoader8, :DWORD, :DWORD, :DWORD, :DWORD 
    STDMETHOD SetDefaultAudioPath, :PTR IDirectMusicLoader8  
    STDMETHOD GetDefaultAudioPath, :PTR IDirectMusicLoader8, :DWORD  
    STDMETHOD GetParamEx, :PTR IDirectMusicLoader8           
IDirectMusicPerformance8 ENDS    

;// IDirectMusicSegment8 */
IDirectMusicSegment8 STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :PTR IDirectMusicSegment8 
    STDMETHOD AddRef, :PTR IDirectMusicSegment8  
    STDMETHOD Release, :PTR IDirectMusicSegment8 

;    /*  IDirectMusicSegment */
    STDMETHOD GetLength, :PTR IDirectMusicSegment8      
    STDMETHOD SetLength, :PTR IDirectMusicSegment8      
    STDMETHOD GetRepeats, :PTR IDirectMusicSegment8             
    STDMETHOD SetRepeats, :PTR IDirectMusicSegment8, :DWORD         
    STDMETHOD GetDefaultResolution, :PTR IDirectMusicSegment8   
    STDMETHOD SetDefaultResolution, :PTR IDirectMusicSegment8   
    STDMETHOD GetTrack, :PTR IDirectMusicSegment8               
    STDMETHOD GetTrackGroup, :PTR IDirectMusicSegment8          
    STDMETHOD InsertTrack, :PTR IDirectMusicSegment8            
    STDMETHOD RemoveTrack, :PTR IDirectMusicSegment8            
    STDMETHOD InitPlay, :PTR IDirectMusicSegment8               
    STDMETHOD GetGraph, :PTR IDirectMusicSegment8               
    STDMETHOD SetGraph, :PTR IDirectMusicSegment8               
    STDMETHOD AddNotificationType, :PTR IDirectMusicSegment8    
    STDMETHOD RemoveNotificationType, :PTR IDirectMusicSegment8 
    STDMETHOD GetParam, :PTR IDirectMusicSegment8               
    STDMETHOD SetParam, :PTR IDirectMusicSegment8               
    STDMETHOD Clone, :PTR IDirectMusicSegment8                  
    STDMETHOD SetStartPoint, :PTR IDirectMusicSegment8          
    STDMETHOD GetStartPoint, :PTR IDirectMusicSegment8          
    STDMETHOD SetLoopPoints, :PTR IDirectMusicSegment8          
    STDMETHOD GetLoopPoints, :PTR IDirectMusicSegment8          
    STDMETHOD SetPChannelsUsed, :PTR IDirectMusicSegment8       
;    /*  IDirectMusicSegment8 */
    STDMETHOD SetTrackConfig, :PTR IDirectMusicSegment8         
    STDMETHOD GetAudioPathConfig, :PTR IDirectMusicSegment8     
    STDMETHOD Compose, :PTR IDirectMusicSegment8                
    STDMETHOD Download, :PTR IDirectMusicSegment8, :DWORD
    STDMETHOD Unload, :PTR IDirectMusicSegment8, :DWORD                 
IDirectMusicSegment8 ENDS  


;// IDirectMusicAudioPath
IDirectMusicAudioPath STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface,    :PTR IDirectMusicAudio
    STDMETHOD AddRef,            :PTR IDirectMusicAudio
    STDMETHOD Release,           :PTR IDirectMusicAudio

;    /*  IDirectMusicAudioPath */
    STDMETHOD GetObjectInPath,       :PTR IDirectMusicAudio, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD Activate,              :PTR IDirectMusicAudio, :DWORD
    STDMETHOD SetVolume,             :PTR IDirectMusicAudio, :DWORD, :DWORD
    STDMETHOD ConvertPChannel,       :PTR IDirectMusicAudio, :DWORD 
IDirectMusicAudioPath ENDS


; ====================================
;                           MACROS
; ====================================

DMLINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]
	IFB <arglist>
		INVOKE [IDirectMusicLoader8. func][eax], this
	ELSE
		INVOKE [IDirectMusicLoader8. func][eax], this, arglist
	ENDIF
ENDM

DMPINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]
	IFB <arglist>
		INVOKE [IDirectMusicPerformance8.func][eax], this
	ELSE
		INVOKE [IDirectMusicPerformance8.func][eax], this, arglist
	ENDIF
ENDM

DMSINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]
	IFB <arglist>
		INVOKE [IDirectMusicSegment8.func][eax], this
	ELSE
		INVOKE [IDirectMusicSegment8.func][eax], this, arglist
	ENDIF
ENDM

DMAPINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]
	IFB <arglist>
		INVOKE [IDirectMusicAudioPath. func][eax], this
	ELSE
		INVOKE [IDirectMusicAudioPath. func][eax], this, arglist
	ENDIF
ENDM

CINVOKE MACRO Interface, Method, this, arglist:VARARG
	mov			eax , [this]
	mov			eax , [eax]
	IFB <arglist>
		INVOKE [Interface.Method][eax], this
	ELSE
		INVOKE [Interface.Method][eax], this, arglist
	ENDIF
endm
; ====================================
;                       EQUS
; ====================================

DMUS_APATH_SHARED_STEREOPLUSREVERB  EQU 1      ; /* A standard music set up with stereo outs and reverb. */
DMUS_APATH_DYNAMIC_3D               EQU 6      ; /* An audio path with one dynamic bus from the synth feeding to a dynamic 3d buffer. Does not send to env reverb. */
DMUS_APATH_DYNAMIC_MONO             EQU 7      ; /* An audio path with one dynamic bus from the synth feeding to a dynamic mono buffer. */
DMUS_APATH_DYNAMIC_STEREO           EQU 8      ; /* An audio path with two dynamic 

; /* dwFeatures flags. These indicate which features are required for the audio environment. */
DMUS_AUDIOF_3D         EQU 01h  ; /* Require 3D buffers. */
DMUS_AUDIOF_ENVIRON    EQU 02h  ; /* Require environmental modeling. */
DMUS_AUDIOF_EAX        EQU 04h  ; /* Require use of EAX effects. */
DMUS_AUDIOF_DMOS       EQU 08h  ; /* Require use of additional DMOs. */
DMUS_AUDIOF_STREAMING  EQU 10h  ; /* Require support for streaming waves. */
DMUS_AUDIOF_BUFFERS    EQU 20h  ; /* Require support for multiple buffers (all above cases need this.) */
DMUS_AUDIOF_ALL        EQU 3Fh  ; /* Requires everything. */

; /* dwValidData flags. These indicate which fields in DMUS_AUDIOPARAMS have been filled in. If fInitNow is set, these also return what was allocated. */
DMUS_AUDIOPARAMS_FEATURES      EQU 00000001h
DMUS_AUDIOPARAMS_VOICES        EQU 00000002h
DMUS_AUDIOPARAMS_SAMPLERATE    EQU 00000004h
DMUS_AUDIOPARAMS_DEFAULTSYNTH  EQU 00000008h

  DMUS_SEGF_REFTIME             EQU 000000040h
  DMUS_SEGF_SECONDARY           EQU 000000080h
  DMUS_SEGF_QUEUE               EQU 000000100h
  DMUS_SEGF_CONTROL             EQU 000000200h
  DMUS_SEGF_AFTERPREPARETIME    EQU 000000400h
  DMUS_SEGF_GRID                EQU 000000800h
  DMUS_SEGF_BEAT                EQU 000001000h
  DMUS_SEGF_MEASURE             EQU 000002000h
  DMUS_SEGF_DEFAULT             EQU 000004000h
  DMUS_SEGF_NOINVALIDATE        EQU 000008000h
  DMUS_SEGF_ALIGN               EQU 000010000h

  DMUS_SEGF_VALID_START_BEAT    EQU 000020000h
  DMUS_SEGF_VALID_START_GRID    EQU 000040000h
  DMUS_SEGF_VALID_START_TICK    EQU 000080000h
  DMUS_SEGF_AUTOTRANSITION      EQU 000100000h
  DMUS_SEGF_AFTERQUEUETIME      EQU 000200000h
  DMUS_SEGF_AFTERLATENCYTIME    EQU 000400000h
  DMUS_SEGF_SEGMENTEND          EQU 000800000h
  DMUS_SEGF_MARKER              EQU 001000000h
  DMUS_SEGF_TIMESIG_ALWAYS      EQU 002000000h
  DMUS_SEGF_USE_AUDIOPATH       EQU 004000000h
  DMUS_SEGF_VALID_START_MEASURE EQU 008000000h
  DMUS_SEGF_INVALIDATE_PRI      EQU 010000000h

;  The DMUS_PATH constants are used in conjunction with GetObjectInPath to find a requested
;  interface at a particular stage in the audio path. 
  DMUS_PATH_SEGMENT             EQU 01000h      ;Get the segment itself (from a segment state.) */
  DMUS_PATH_SEGMENT_TRACK       EQU 01100h      ;Look in Track List of Segment. */
  DMUS_PATH_SEGMENT_GRAPH       EQU 01200h      ;Get the segment's tool graph. */
  DMUS_PATH_SEGMENT_TOOL        EQU 01300h      ;Look in Tool Graph of Segment. */
  DMUS_PATH_AUDIOPATH           EQU 02000h      ;Get the audiopath itself (from a segment state.) */
  DMUS_PATH_AUDIOPATH_GRAPH     EQU 02200h      ;Get the audiopath's tool graph. */
  DMUS_PATH_AUDIOPATH_TOOL      EQU 02300h      ;Look in Tool Graph of Audio Path. */
  DMUS_PATH_PERFORMANCE         EQU 03000h      ;Access the performance. */
  DMUS_PATH_PERFORMANCE_GRAPH   EQU 03200h      ;Get the performance's tool graph. */
  DMUS_PATH_PERFORMANCE_TOOL    EQU 03300h      ;Look in Tool Graph of Performance. */
  DMUS_PATH_PORT                EQU 04000h      ;Access the synth. */
  DMUS_PATH_BUFFER              EQU 06000h      ;Look in DirectSoundBuffer. */
  DMUS_PATH_BUFFER_DMO          EQU 06100h      ;Access a DMO in the buffer. */
  DMUS_PATH_MIXIN_BUFFER        EQU 07000h      ;Look in a global mixin buffer. */ 
  DMUS_PATH_MIXIN_BUFFER_DMO    EQU 07100h      ;Access a DMO in a global mixin buffer. */ 
  DMUS_PATH_PRIMARY_BUFFER      EQU 08000h      ;Access the primary buffer. */ 
  DMUS_PCHANNEL_ALL             EQU 0FFFFFFFBh


S_OK    equ     0
DS_OK   equ     S_OK




