include evcode.inc

CopyMediaType PROTO :DWORD, :DWORD    
;CreateAudioMediaType PROTO :DWORD, :DWORD, :DWORD
CreateMediaType PROTO :DWORD
DeleteMediaType PROTO :DWORD
FreeMediaType PROTO :DWORD
includelib DShow.lib

; ------------------------------------------------------------------------
; 	                           INTERFACES
; ------------------------------------------------------------------------
IAMVfwCompressDialogs STRUCT
        STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD ShowDialog, :DWORD, :DWORD, :DWORD
        STDMETHOD GetState, :DWORD, :DWORD, :DWORD
        STDMETHOD SetState, :DWORD, :DWORD, :DWORD
        STDMETHOD SendDriverMessage, :DWORD, :DWORD, :DWORD, :DWORD
IAMVfwCompressDialogs EndS
IBaseFilter STRUCT
        STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD        
        STDMETHOD Release, :DWORD
        STDMETHOD GetClassID, :DWORD, :DWORD
        STDMETHOD Stop, :DWORD
        STDMETHOD Pause, :DWORD
        STDMETHOD Run, :DWORD, :DWORD
        STDMETHOD GetState, :DWORD, :DWORD, :DWORD
        STDMETHOD SetSyncSource, :DWORD, :DWORD
        STDMETHOD GetSyncSource, :DWORD, :DWORD
        STDMETHOD EnumPins, :DWORD, :DWORD
        STDMETHOD FindPin, :DWORD, :DWORD, :DWORD
        STDMETHOD QueryFilterInfo, :DWORD, :DWORD
        STDMETHOD JoinFilterGraph, :DWORD, :DWORD, :DWORD
        STDMETHOD QueryVendorInfo, :DWORD, :DWORD
IBaseFilter EndS
ICaptureGraphBuilder2 STRUCT
        STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD SetFiltergraph, :DWORD, :DWORD
        STDMETHOD GetFiltergraph, :DWORD, :DWORD
        STDMETHOD SetOutputFileName, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD FindInterface, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD RenderStream, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD ControlStream, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD AllocCapFile, :DWORD, :DWORD, :DWORD
        STDMETHOD CopyCaptureFile, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD FindPin, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
ICaptureGraphBuilder2 EndS
IConfigAviMux STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD SetMasterStream, :DWORD, :DWORD
        STDMETHOD GetMasterStream, :DWORD, :DWORD
        STDMETHOD SetOutputCompatibilityIndex, :DWORD, :DWORD, :DWORD
        STDMETHOD GetOutputCompatibilityIndex, :DWORD, :DWORD
IConfigAviMux EndS
IConfigInterleaving STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD put_Mode, :DWORD, :DWORD
        STDMETHOD get_Mode, :DWORD, :DWORD
        STDMETHOD put_Interleaving, :DWORD, :DWORD, :DWORD
        STDMETHOD get_Interleaving, :DWORD, :DWORD, :DWORD
IConfigInterleaving EndS
ICreateDevEnum STRUCT
        STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD CreateClassEnumerator, :DWORD, :DWORD, :DWORD, :DWORD
ICreateDevEnum EndS
IEnumFilters STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD Next, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD Skip, :DWORD, :DWORD
        STDMETHOD Reset, :DWORD
        STDMETHOD Clone, :DWORD, :DWORD
IEnumFilters EndS
IEnumMediaTypes STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD Next, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD Skip, :DWORD, :DWORD
        STDMETHOD Reset, :DWORD
        STDMETHOD Clone, :DWORD, :DWORD
IEnumMediaTypes EndS
IEnumPins STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD Next, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD Skip, :DWORD, :DWORD
        STDMETHOD Reset, :DWORD
        STDMETHOD Clone, :DWORD, :DWORD
IEnumPins EndS
IFilterGraph STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD AddFilter, :DWORD, :DWORD, :DWORD
        STDMETHOD RemoveFilter, :DWORD, :DWORD
        STDMETHOD EnumFilters, :DWORD, :DWORD
        STDMETHOD FindFilterByName, :DWORD, :DWORD, :DWORD
        STDMETHOD ConnectDirect, :DWORD, :DWORD, :DWORD, :DWORD
        STDMETHOD Reconnect, :DWORD, :DWORD
        STDMETHOD Disconnect, :DWORD, :DWORD
        STDMETHOD SetDefaultSyncSource, :DWORD
IFilterGraph EndS
IGraphBuilder STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
; 	/* IGraphBuilder */
    STDMETHOD AddFilter, :DWORD, :DWORD, :DWORD
    STDMETHOD RemoveFilter, :DWORD
    STDMETHOD EnumFilters, :DWORD
    STDMETHOD FindFilterByName, :DWORD 
    STDMETHOD ConnectDirect, :DWORD
    STDMETHOD Reconnect, :DWORD
    STDMETHOD Disconnect, :DWORD
    STDMETHOD SetDefaultSyncSource, :DWORD 
    STDMETHOD Connect, :DWORD, :DWORD, :DWORD
    STDMETHOD Render, :DWORD, :DWORD
    STDMETHOD RenderFile, :DWORD, :DWORD, :DWORD
    STDMETHOD AddSourceFilter, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD SetLogFile, :DWORD, :DWORD
    STDMETHOD Abort, :DWORD
    STDMETHOD ShouldOperationContinue, :DWORD
IGraphBuilder EndS
IMediaControl STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
;    /* IDispatch methods */
    STDMETHOD GetTypeInfoCount, :DWORD
    STDMETHOD GetTypeInfo, :DWORD
    STDMETHOD GetIDsOfNames, :DWORD
    STDMETHOD _Invoke, :DWORD
;    /* IMediaControl methods */
    STDMETHOD Run, :DWORD
    STDMETHOD Pause, :DWORD
    STDMETHOD Stop, :DWORD
    STDMETHOD GetState, :DWORD, :DWORD, :DWORD
    STDMETHOD RenderFile, :DWORD
    STDMETHOD AddSourceFilter, :DWORD
    STDMETHOD get_FilterCollection, :DWORD
    STDMETHOD get_RegFilterCollection, :DWORD
    STDMETHOD StopWhenReady, :DWORD
IMediaControl EndS
IMediaEvent STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
;    /* IDispatch methods */
    STDMETHOD GetTypeInfoCount, :DWORD
    STDMETHOD GetTypeInfo, :DWORD
    STDMETHOD GetIDsOfNames, :DWORD
    STDMETHOD _Invoke, :DWORD
;    /* IMediaEvent methods */
    STDMETHOD GetEventHandle, :DWORD
    STDMETHOD GetEvent, :DWORD
    STDMETHOD WaitForCompletion, :DWORD, :DWORD, :DWORD
    STDMETHOD CancelDefaultHandling, :DWORD
    STDMETHOD RestoreDefaultHandling, :DWORD
    STDMETHOD FreeEventParams, :DWORD
IMediaEvent EndS
IMediaEventEx STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
;    /* IDispatch methods */
    STDMETHOD GetTypeInfoCount, :DWORD
    STDMETHOD GetTypeInfo, :DWORD
    STDMETHOD GetIDsOfNames, :DWORD
    STDMETHOD _Invoke, :DWORD
;    /* IMediaEvent methods */
    STDMETHOD GetEventHandle, :DWORD
    STDMETHOD GetEvent, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD WaitForCompletion, :DWORD, :DWORD, :DWORD
    STDMETHOD CancelDefaultHandling, :DWORD
    STDMETHOD RestoreDefaultHandling, :DWORD
    STDMETHOD FreeEventParams, :DWORD, :DWORD, :DWORD, :DWORD
;    /* IMediaEventEx methods */
    STDMETHOD SetNotifyWindow, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD SetNotifyFlags, :DWORD
    STDMETHOD GetNotifyFlags, :DWORD
IMediaEventEx EndS
IMediaFilter STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD GetClassID, :DWORD, :DWORD
        STDMETHOD Stop, :DWORD
        STDMETHOD Pause, :DWORD
        STDMETHOD Run, :DWORD, :DWORD
        STDMETHOD GetState, :DWORD, :DWORD, :DWORD
        STDMETHOD SetSyncSource, :DWORD, :DWORD
        STDMETHOD GetSyncSource, :DWORD, :DWORD
IMediaFilter EndS
IMediaSeeking STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
;    /*  IMediaSeeking Methods*/
    STDMETHOD GetCapabilities, :DWORD, :DWORD
    STDMETHOD CheckCapabilities, :DWORD, :DWORD
    STDMETHOD IsFormatSupported, :DWORD 
    STDMETHOD QueryPreferredFormat, :DWORD
    STDMETHOD GetTimeFormat, :DWORD
    STDMETHOD IsUsingTimeFormat, :DWORD
    STDMETHOD SetTimeFormat, :DWORD
    STDMETHOD GetDuration, :DWORD, :DWORD
    STDMETHOD GetStopPosition, :DWORD
    STDMETHOD GetCurrentPosition, :DWORD, :DWORD
    STDMETHOD ConvertTimeFormat, :DWORD
    STDMETHOD SetPositions, :DWORD, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD GetPositions, :DWORD
    STDMETHOD GetAvailable, :DWORD
    STDMETHOD SetRate, :DWORD
    STDMETHOD GetRate, :DWORD 
    STDMETHOD GetPreroll, :DWORD
IMediaSeeking EndS
IPin STRUCT
	    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
        STDMETHOD AddRef, :DWORD
        STDMETHOD Release, :DWORD
        STDMETHOD Connect, :DWORD, :DWORD, :DWORD
        STDMETHOD ReceiveConnection, :DWORD, :DWORD, :DWORD
        STDMETHOD Disconnect, :DWORD
        STDMETHOD ConnectedTo, :DWORD, :DWORD
        STDMETHOD ConnectionMediaType, :DWORD, :DWORD
        STDMETHOD QueryPinInfo, :DWORD, :DWORD
        STDMETHOD QueryDirection, :DWORD, :DWORD
        STDMETHOD QueryId, :DWORD, :DWORD
        STDMETHOD QueryAccept, :DWORD, :DWORD
        STDMETHOD EnumMediaTypes, :DWORD, :DWORD
        STDMETHOD QueryInternalConnections, :DWORD, :DWORD, :DWORD
        STDMETHOD EndOfStream, :DWORD
        STDMETHOD BeginFlush, :DWORD
        STDMETHOD EndFlush, :DWORD
        STDMETHOD NewSegment, :DWORD, :DWORD, :DWORD, :DWORD
IPin EndS
IVideoWindow STRUCT
;    /*  IUnknown */
    STDMETHOD QueryInterface, :DWORD, :DWORD, :DWORD
    STDMETHOD AddRef, :DWORD
    STDMETHOD Release, :DWORD
;    /* IDispatch methods */
    STDMETHOD GetTypeInfoCount, :DWORD
    STDMETHOD GetTypeInfo, :DWORD
    STDMETHOD GetIDsOfNames, :DWORD
    STDMETHOD _Invoke, :DWORD
;    /* IVideoWindow methods */
    STDMETHOD put_Caption, :DWORD
    STDMETHOD get_Caption, :DWORD
    STDMETHOD put_WindowStyle, :DWORD
    STDMETHOD get_WindowStyle, :DWORD
    STDMETHOD put_WindowStyleEx, :DWORD
    STDMETHOD get_WindowStyleEx, :DWORD
    STDMETHOD put_AutoShow, :DWORD
    STDMETHOD get_AutoShow, :DWORD
    STDMETHOD put_WindowState, :DWORD, :DWORD
    STDMETHOD get_WindowState, :DWORD
    STDMETHOD put_BackgroundPalette, :DWORD
    STDMETHOD get_BackgroundPalette, :DWORD
    STDMETHOD put_Visible, :DWORD
    STDMETHOD get_Visible, :DWORD
    STDMETHOD put_Left, :DWORD
    STDMETHOD get_Left, :DWORD
    STDMETHOD put_Width, :DWORD
    STDMETHOD get_Width, :DWORD
    STDMETHOD put_Top, :DWORD
    STDMETHOD get_Top, :DWORD
    STDMETHOD put_Height, :DWORD
    STDMETHOD get_Height, :DWORD
    STDMETHOD put_Owner, :DWORD, :DWORD
    STDMETHOD get_Owner, :DWORD
    STDMETHOD put_MessageDrain, :DWORD
    STDMETHOD get_MessageDrain, :DWORD
    STDMETHOD get_BorderColor, :DWORD
    STDMETHOD put_BorderColor, :DWORD
    STDMETHOD get_FullScreenMode, :DWORD
    STDMETHOD put_FullScreenMode, :DWORD
    STDMETHOD SetWindowForeground, :DWORD
    STDMETHOD NotifyOwnerMessage, :DWORD
    STDMETHOD SetWindowPosition, :DWORD
    STDMETHOD GetWindowPosition, :DWORD
    STDMETHOD GetMinIdealImageSize, :DWORD
    STDMETHOD GetMaxIdealImageSize, :DWORD
    STDMETHOD GetRestorePosition, :DWORD
    STDMETHOD HideCursor, :DWORD
    STDMETHOD IsCursorHidden, :DWORD
IVideoWindow EndS

; ------------------------------------------------------------------------
; 	                           STRUCTURES
; ------------------------------------------------------------------------
FILTER_INFO STRUCT
    achName dw 128 DUP(?) ; / WCHAR achName[ 128 ]
    pGraph dd ?
FILTER_INFO EndS
AM_MEDIA_TYPE STRUCT
    majortype 	GUID <>
    subtype 	GUID <>
    bFixedSizeSamples 		dd ?
    bTemporalCompression	dd ?
    lSampleSize		dd ?
    formattype		GUID <>
    pUnk		dd ?
    cbFormat	dd ?
    pbFormat	dd ?
AM_MEDIA_TYPE EndS


OAFilterState TYPEDEF DWORD

; Definiciones
	MAX_PIN_NAME     EQU 128
	MAX_FILTER_NAME  EQU 128
	INFINITE		EQU 0FFFFFFFFh ;  // Infinite timeout
	AM_SEEKING_CanSeekAbsolute	equ 01h
	AM_SEEKING_CanSeekForwards	equ 02h
	AM_SEEKING_CanSeekBackwards	equ 04h
	AM_SEEKING_CanGetCurrentPos	equ 08h
	AM_SEEKING_CanGetStopPos	equ 010h
	AM_SEEKING_CanGetDuration	equ 020h
	AM_SEEKING_CanPlayBackwards	equ 040h
	AM_SEEKING_CanDoSegments	equ 080h
	AM_SEEKING_Source			equ 0100h

	AM_SEEKING_NoPositioning			equ 0h
	AM_SEEKING_AbsolutePositioning		equ 01h
	AM_SEEKING_RelativePositioning		equ 02h
	AM_SEEKING_IncrementalPositioning	equ 03h
	AM_SEEKING_PositioningBitsMask		equ 03h
	AM_SEEKING_SeekToKeyFrame			equ 04h
	AM_SEEKING_ReturnTime				equ 08h
	AM_SEEKING_Segment					equ 010h
	AM_SEEKING_NoFlush					equ 020h
	
	VfwCompressDialog_Config      EQU 001h
    VfwCompressDialog_About       EQU 002h
    VfwCompressDialog_QueryConfig EQU 004h
    VfwCompressDialog_QueryAbout  EQU 008h
	
    State_Stopped	EQU 0
	State_Paused	EQU State_Stopped + 1
	State_Running	EQU State_Paused + 1
	PINDIR_INPUT	EQU 0
	PINDIR_OUTPUT	EQU PINDIR_INPUT + 1
	
    INTERLEAVE_NONE	EQU 0
	INTERLEAVE_CAPTURE	EQU INTERLEAVE_NONE + 1
	INTERLEAVE_FULL	EQU INTERLEAVE_CAPTURE + 1
	INTERLEAVE_NONE_BUFFERED	EQU INTERLEAVE_FULL + 1
	