DIRECTINPUT_HEADER_VERSION equ 00800h
DIRECTINPUT_VERSION equ DIRECTINPUT_HEADER_VERSION

IID_IDirectInput8 equ IID_IDirectInput8W

S_OK	equ 0h
DI_OK	equ S_OK

;----------------------------------------------------------------------------------------------
; Difinido en Macros.ASM
;STDMETHOD	MACRO	name, argl :VARARG
;LOCAL @tmp_a
;LOCAL @tmp_b
;
;@tmp_a	TYPEDEF PROTO argl
;@tmp_b	TYPEDEF PTR @tmp_a
;name		@tmp_b		?
;ENDM
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
; GUID
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

.data
IID_IDirectInput8W      GUID {0BF798030h,0483Ah,04DA2h,{0AAh,099h,05Dh,064h,0EDh,036h,097h,000h}}
GUID_SysKeyboard        GUID {06F1D2B61h,0D5A0h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_XAxis              GUID {0A36D02E0h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_YAxis              GUID {0A36D02E1h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_ZAxis              GUID {0A36D02E2h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_RxAxis             GUID {0A36D02F4h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_RyAxis             GUID {0A36D02F5h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_RzAxis             GUID {0A36D02E3h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_Slider             GUID {0A36D02E4h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_Button             GUID {0A36D02F0h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_Key                GUID {055728220h,0D33Ch,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_POV                GUID {0A36D02F2h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_Unknown            GUID {0A36D02F3h,0C9F3h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}
GUID_SysMouse           GUID {06F1D2B60h,0D5A0h,011CFh,{0BFh,0C7h,044h,045h,053h,054h,000h,000h}}


;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
; COM METHODS
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

LPDIRECTINPUT8		TYPEDEF		PTR IDirectInput8
LPDIRECTINPUTDEVICE8	TYPEDEF		PTR IDirectInputDevice8

;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
IDirectInput8				STRUC
	lpVtbl		DWORD		?
IDirectInput8				ENDS

IDirectInputDevice8				STRUC
	lpVtbl		DWORD		?
IDirectInputDevice8				ENDS

;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
IDirectInput8Vtbl	STRUC
	; IUnknown methods
	STDMETHOD	QueryInterface
	STDMETHOD	AddRef
	STDMETHOD	Release, :PTR IDirectInput8
	; IDirectInput8 methods
    STDMETHOD CreateDevice, :PTR IDirectInput8, :DWORD, :DWORD, :DWORD
    STDMETHOD EnumDevices, :PTR IDirectInput8, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD GetDeviceStatus, :PTR IDirectInput8,:DWORD
    STDMETHOD RunControlPanel, :PTR IDirectInput8,:DWORD, :DWORD
    STDMETHOD Initialize, :DWORD, :PTR IDirectInput8,:DWORD
    STDMETHOD FindDevice, :PTR IDirectInput8,:DWORD, :DWORD, :DWORD
    STDMETHOD EnumDevicesBySemantics, :PTR IDirectInput8,:DWORD, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD ConfigureDevices, :PTR IDirectInput8,:DWORD, :DWORD, :DWORD, :DWORD

IDirectInput8Vtbl	ENDS

IDirectInputDevice8Vtbl STRUCT
; IUnknown methods
    STDMETHOD QueryInterface
    STDMETHOD AddRef, :PTR IDirectInputDevice8
    STDMETHOD Release, :PTR IDirectInputDevice8
;IDirectInputDevice8 methods
    STDMETHOD GetCapabilities
    STDMETHOD EnumObjects
    STDMETHOD GetProperty
    STDMETHOD SetProperty
    STDMETHOD Acquire, :PTR IDirectInputDevice8
    STDMETHOD Unacquire, :PTR IDirectInputDevice8
    STDMETHOD GetDeviceState, :PTR IDirectInputDevice8, :DWORD, :DWORD
    STDMETHOD GetDeviceData, :PTR IDirectInputDevice8, :DWORD, :DWORD, :DWORD, :DWORD
    STDMETHOD SetDataFormat, :PTR IDirectInputDevice8, :DWORD
    STDMETHOD SetEventNotification
    STDMETHOD SetCooperativeLevel, :PTR IDirectInputDevice8, :DWORD, :DWORD
    STDMETHOD GetObjectInfo, :PTR IDirectInputDevice8
    STDMETHOD GetDeviceInfo, :PTR IDirectInputDevice8
    STDMETHOD RunControlPanel, :PTR IDirectInputDevice8,:DWORD, :DWORD
    STDMETHOD Initialize, :PTR IDirectInputDevice8
    STDMETHOD CreateEffect, :PTR IDirectInputDevice8
    STDMETHOD EnumEffects, :PTR IDirectInputDevice8
    STDMETHOD GetEffectInfo, :PTR IDirectInputDevice8
    STDMETHOD GetForceFeedbackState, :PTR IDirectInputDevice8
    STDMETHOD SendForceFeedbackCommand, :PTR IDirectInputDevice8
    STDMETHOD EnumCreatedEffectObjects, :PTR IDirectInputDevice8
    STDMETHOD Escape, :PTR IDirectInputDevice8
    STDMETHOD Poll, :PTR IDirectInputDevice8
    STDMETHOD SendDeviceData, :PTR IDirectInputDevice8
    STDMETHOD EnumEffectsInFile, :PTR IDirectInputDevice8
    STDMETHOD WriteEffectToFile, :PTR IDirectInputDevice8
    STDMETHOD BuildActionMap, :PTR IDirectInputDevice8, :DWORD, :DWORD, :DWORD
    STDMETHOD SetActionMap, :PTR IDirectInputDevice8, :DWORD, :DWORD, :DWORD
    STDMETHOD GetImageInfo, :PTR IDirectInputDevice8
    
IDirectInputDevice8Vtbl ENDS

DIINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]

	IFB <arglist>
		INVOKE [IDirectInput8Vtbl. func][eax], this
	ELSE
		INVOKE [IDirectInput8Vtbl. func][eax], this, arglist
	ENDIF
ENDM

DIDINVOKE	MACRO	func, this, arglist :VARARG
	mov			eax , [this]
	mov			eax , [eax]

	IFB <arglist>
		INVOKE [IDirectInputDevice8Vtbl. func][eax], this
	ELSE
		INVOKE [IDirectInputDevice8Vtbl. func][eax], this, arglist
	ENDIF
ENDM

;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
; Estructuras
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
DIDEVICEOBJECTDATA STRUCT
    dwOfs       DD ?
    dwData      DD ?
    dwTimeStamp DD ?
    dwSequence  DD ?
    uAppData    DD ?
DIDEVICEOBJECTDATA ENDS

DIDATAFORMAT struct
    dwSize      DD ?
    dwObjSize   DD ?
    dwFlags     DD ?
    dwDataSize  DD ? 
    dwNumObjs   DD ?
    rgodf       DD ?
DIDATAFORMAT ends

DIOBJECTDATAFORMAT STRUCT
    pguid   DD ? 
    dwOfs   DD ?
    dwType  DD ?
    dwFlags DD ?
DIOBJECTDATAFORMAT ENDS


;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
; EQUS
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
DISCL_EXCLUSIVE     equ 00000001h
DISCL_NONEXCLUSIVE  equ 00000002h
DISCL_FOREGROUND    equ 00000004h
DISCL_BACKGROUND    equ 00000008h
DISCL_NOWINKEY      equ 00000010h
DIDFT_ALL           equ 000000000h


DIERR_INPUTLOST 	EQU 08007001eh   
DIERR_ACQUIRED  	EQU 0800700aah
DIERR_NOTACQUIRED	EQU 08007000ch


DIDFT_MAKEINSTANCE MACRO n
    EXITM  <n shl 8>
ENDM

DI_ESC equ DIDFT_MAKEINSTANCE(0)
DI_0 equ DIDFT_MAKEINSTANCE(1)
DI_1 equ DIDFT_MAKEINSTANCE(2)
DI_2 equ DIDFT_MAKEINSTANCE(3)
DI_3 equ DIDFT_MAKEINSTANCE(4)
DI_4 equ DIDFT_MAKEINSTANCE(5)
DI_5 equ DIDFT_MAKEINSTANCE(6)
DI_6 equ DIDFT_MAKEINSTANCE(7)
DI_7 equ DIDFT_MAKEINSTANCE(8)
DI_8 equ DIDFT_MAKEINSTANCE(9)
DI_9 equ DIDFT_MAKEINSTANCE(10)
DI_0 equ DIDFT_MAKEINSTANCE(11)
DI_TAB equ DIDFT_MAKEINSTANCE(14)
DI_BS equ DIDFT_MAKEINSTANCE(15)
DI_Q equ DIDFT_MAKEINSTANCE(16)
DI_W equ DIDFT_MAKEINSTANCE(17)
DI_E equ DIDFT_MAKEINSTANCE(18)
DI_R equ DIDFT_MAKEINSTANCE(19)
DI_T equ DIDFT_MAKEINSTANCE(20)
DI_Y equ DIDFT_MAKEINSTANCE(21)
DI_U equ DIDFT_MAKEINSTANCE(22)
DI_I equ DIDFT_MAKEINSTANCE(23)
DI_O equ DIDFT_MAKEINSTANCE(24)
DI_P equ DIDFT_MAKEINSTANCE(25)
DI_ENTER equ DIDFT_MAKEINSTANCE(28)
DI_LCTR equ DIDFT_MAKEINSTANCE(29)
DI_A equ DIDFT_MAKEINSTANCE(30)
DI_S equ DIDFT_MAKEINSTANCE(31)
DI_D equ DIDFT_MAKEINSTANCE(32)
DI_F equ DIDFT_MAKEINSTANCE(33)
DI_G equ DIDFT_MAKEINSTANCE(34)
DI_H equ DIDFT_MAKEINSTANCE(35)
DI_J equ DIDFT_MAKEINSTANCE(36)
DI_K equ DIDFT_MAKEINSTANCE(37)
DI_L equ DIDFT_MAKEINSTANCE(38)
DI_LSHIFT equ DIDFT_MAKEINSTANCE(42)
DI_Z equ DIDFT_MAKEINSTANCE(44)
DI_X equ DIDFT_MAKEINSTANCE(45)
DI_C equ DIDFT_MAKEINSTANCE(46)
DI_V equ DIDFT_MAKEINSTANCE(47)
DI_B equ DIDFT_MAKEINSTANCE(48)
DI_N equ DIDFT_MAKEINSTANCE(49)
DI_M equ DIDFT_MAKEINSTANCE(50)
DI_RSHIFT equ DIDFT_MAKEINSTANCE(54)
DI_LALT equ DIDFT_MAKEINSTANCE(56)
DI_SPACE equ DIDFT_MAKEINSTANCE(57)
DI_BM equ DIDFT_MAKEINSTANCE(58)
DI_F1 equ DIDFT_MAKEINSTANCE(59)
DI_F2 equ DIDFT_MAKEINSTANCE(60)
DI_F3 equ DIDFT_MAKEINSTANCE(61)
DI_F4 equ DIDFT_MAKEINSTANCE(62)
DI_F5 equ DIDFT_MAKEINSTANCE(63)
DI_F6 equ DIDFT_MAKEINSTANCE(64)
DI_F7 equ DIDFT_MAKEINSTANCE(65)
DI_F8 equ DIDFT_MAKEINSTANCE(66)
DI_F9 equ DIDFT_MAKEINSTANCE(67)
DI_F10 equ DIDFT_MAKEINSTANCE(68)
DI_NL equ DIDFT_MAKEINSTANCE(69)
DI_SL equ DIDFT_MAKEINSTANCE(70)
DI_NUMPAD7 equ DIDFT_MAKEINSTANCE(71)
DI_NUMPAD8 equ DIDFT_MAKEINSTANCE(72)
DI_NUMPAD9 equ DIDFT_MAKEINSTANCE(73)
DI_NUMPADMINUS equ DIDFT_MAKEINSTANCE(74)
DI_NUMPAD4 equ DIDFT_MAKEINSTANCE(75)
DI_NUMPAD5 equ DIDFT_MAKEINSTANCE(76)
DI_NUMPAD6 equ DIDFT_MAKEINSTANCE(77)
DI_NUMPADPLUS equ DIDFT_MAKEINSTANCE(78)
DI_NUMPAD1 equ DIDFT_MAKEINSTANCE(79)
DI_NUMPAD2 equ DIDFT_MAKEINSTANCE(80)
DI_NUMPAD3 equ DIDFT_MAKEINSTANCE(81)

 DIDF_ABSAXIS        equ 000000001h
 DIDF_RELAXIS        equ 000000002h
 DIDFT_RELAXIS       equ 000000001h
 DIDFT_ABSAXIS       equ 000000002h
 DIDFT_AXIS          equ 000000003h

 DIDFT_PSHBUTTON     equ 000000004h
 DIDFT_TGLBUTTON     equ 000000008h
 DIDFT_BUTTON        equ 00000000Ch

 DIDFT_POV           equ 000000010h
 DIDFT_COLLECTION    equ 000000040h
 DIDFT_NODATA        equ 000000080h

 DIDFT_ANYINSTANCE       equ 000FFFF00h
 DIDFT_INSTANCEMASK      equ DIDFT_ANYINSTANCE
 DIDFT_FFACTUATOR        equ 001000000h
 DIDFT_FFEFFECTTRIGGER   equ 002000000h
 DIDFT_OUTPUT            equ 010000000h
 DIDFT_VENDORDEFINED     equ 004000000h
 DIDFT_ALIAS             equ 008000000h
 DIDFT_OPTIONAL          equ 080000000h

 DIDFT_NOCOLLECTION      equ 000FFFF00h

 DIDOI_FFACTUATOR        equ 00000001h
 DIDOI_FFEFFECTTRIGGER   equ 00000002h
 DIDOI_POLLED            equ 00008000h
 DIDOI_ASPECTPOSITION    equ 00000100h
 DIDOI_ASPECTVELOCITY    equ 00000200h
 DIDOI_ASPECTACCEL       equ 00000300h
 DIDOI_ASPECTFORCE       equ 00000400h
 DIDOI_ASPECTMASK        equ 00000F00h
 DIDOI_GUIDISUSAGE       equ 00010000h
